<?


/////Abfrage/Bereich//////__ANFANG__24 Mitglieder Statistik by bliZZarD for NV///////////Abfrage/Bereich//////////

$dt24 = gmtime() - 86400;
$arr = mysql_fetch_assoc(mysql_query("SELECT * FROM avps WHERE arg='last24'")) or $no24=true;
$res=mysql_query("SELECT * FROM users WHERE last_access >= '". get_date_time($dt24). "' ORDER BY username") or sqlerr(__FILE__, __LINE__);
$totalonline24 = mysql_num_rows($res);

$_ss24 = ($totalonline24 != 1) ? 'er':'';


$last24record = get_date_time($arr["value_u"]);
$last24 = $arr["value_i"];
if ($no24 || $totalonline24 > $last24 )
{
$last24 = $totalonline24;

$period = strtotime(gmdate("Y-m-d H:i:s"));
mysql_query(($no24 ? 'INSERT':'UPDATE'). " avps SET value_i = $last24 , value_u = $period ". ($no24 ? ", arg='last24'":"WHERE arg='last24'")) or sqlerr();
}

while ($arr = mysql_fetch_assoc($res))
{
if ($activeusers24) $activeusers24 .= ",\n";

if($arr['class'] != '1')
   $arr["username"] = "<font class=".get_class_color($arr["class"]).">" . $arr["username"] . "</font>";

if($donator = $arr["donor"] === "yes");
$activeusers24 .= "<nobr>";
if ($warned = $arr["warned"] === "yes")
$activeusers24 .= "<nobr>";
if ($CURUSER)
$activeusers24 .= "<a href=userdetails.php?id=" . $arr["id"] . "><b>" . $arr["username"] . "</b></a>";
else
$activeusers24 .= "<b>{$arr["username"]}</b>";
if ($donator)
$activeusers24 .= "<img src={$pic_base_url}/pic/star.gif alt='Donated {$$arr["donor"]}'></nobr>";
if ($warned)
$activeusers24 .= "<img src={$pic_base_url}/pic/warned.gif alt='Warned {$$arr["warned"]}'></nobr>";
}

if (!$activeusers24)
$activeusers24 = "Es waren die letzten 24H keine Mitglieder aktiv auf dem Tracker.";

while ($arr = mysql_fetch_assoc($res))
{
    if ($activeusers) $activeusers .= ",\n";
    $arr["username"] = "<font class=".get_class_color($arr["class"]).">" . $arr["username"] . "</font>";
    if ($CURUSER)
        $activeusers .= "<a href=userdetails.php?id=" . $arr["id"] . "><b>" . $arr["username"] . "</b></a>";
    else
        $activeusers .= "<b>$arr[username]</b>";

    $activeusers .= "&nbsp;".get_user_icons($arr);
}

if (!$activeusers)
    $activeusers = "Keine aktiven Mitglieder in den letzten 15 Minuten.";
    
////Abfrage/Bereich//////___ENDE___24 Mitglieder Statistik by bliZZarD for NV///////////Abfrage/Bereich//////////



?>

<table cellpadding="4" cellspacing="1" border="0" style="width:100%" class="tableinborder">
 <tr class="tabletitle" width="100%">
  <td colspan="10" width="100%"><span class="normalfont"><center><b>~ 24H Mitglieder Statstik~</b></center></span></td>
 </tr><tr><td width="100%" class="tablea">
<table width="100%" border="1" cellspacing="0" cellpadding="10"><tr><td align=center>
<center><font color="white" size="2"><b><u><?=$totalonline24?> Mitglied<?=$_ss24?> haben uns in den letzten 24 Std. besucht</u></b></font><br /><hr></hr><br /><?=$activeusers24?></center><br><hr></hr>
<center><font color="white" size="2"><b><u>Der Mitglieder-Besucher Rekord innerhalb von 24H liegt bei <?=$recordonline24?> Mitglied<?=$_ss24?></b></u></center><br>
</td>
</table>
